Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SingleNodeCounter

    java.lang.Object
      org.apache.xalan.xsltc.dom.NodeCounter
          org.apache.xalan.xsltc.dom.SingleNodeCounter

All Implemented Interfaces:
  Axis, Axis

public abstract class SingleNodeCounter
extends NodeCounter

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

Field Summary

Fields inherited from class org.apache.xalan.xsltc.dom.NodeCounter
`_document, _iterator, _translet, END`

Fields inherited from interface org.apache.xalan.xsltc.dom.Axis
`isReverse`

Fields inherited from interface org.apache.xml.dtm.Axis
`ALL, ALLFROMNODE, ANCESTOR, ANCESTORORSELF, ATTRIBUTE, CHILD, DESCENDANT, DESCENDANTORSELF, DESCENDANTSFROMROOT, DESCENDANTSORSELFFROMROOT, FILTEREDLIST, FOLLOWING, FOLLOWINGSIBLING, names, NAMESPACE, NAMESPACEDECLS, PARENT, PRECEDING, PRECEDINGANDANCESTOR, PRECEDINGSIBLING, ROOT, SELF`

Constructor Summary
`SingleNodeCounter(Translet translet, DOM document, DTMAxisIterator iterator)`

Method Summary
`java.lang.String` | `getCounter()` Returns the position of `node` according to the level and the from and count patterns.
`static NodeCounter` | `getDefaultNodeCounter(Translet translet, DOM document, DTMAxisIterator iterator)`
`NodeCounter` | `setStartNode(int node)` Set the start node for this counter.

Methods inherited from class org.apache.xalan.xsltc.dom.NodeCounter
`getCounter, matchesCount, matchesFrom, setDefaultFormatting, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleNodeCounter

    public SingleNodeCounter(Translet translet,
                             DOM document,
                             DTMAxisIterator iterator)

Method Detail

### setStartNode

    public NodeCounter setStartNode(int node)

  Description copied from class: `NodeCounter`
  Set the start node for this counter. The same `NodeCounter` object can be used multiple times by resetting the starting node.

  Specified by:
    `setStartNode` in class `NodeCounter`

### getCounter

    public java.lang.String getCounter()

  Description copied from class: `NodeCounter`
  Returns the position of `node` according to the level and the from and count patterns.

  Specified by:
    `getCounter` in class `NodeCounter`

### getDefaultNodeCounter

    public static NodeCounter getDefaultNodeCounter(Translet translet,
                                                    DOM document,
                                                    DTMAxisIterator iterator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.